Bug 1667427 - Multiple issues in implementation of record_size_limit extension (RFC 8449)
Summary: Multiple issues in implementation of record_size_limit extension (RFC 8449)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnutls
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 8.1
Assignee: Daiki Ueno
QA Contact: Tomas Mraz
URL:
Whiteboard:
Depends On: 1682477 1689967
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-18 13:11 UTC by Hubert Kario
Modified: 2019-11-05 22:26 UTC (History)
6 users (show)

Fixed In Version: gnutls-3.6.8-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:26:14 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gitlab gnutls/gnutls/issues/676 None None None 2019-01-18 13:11:40 UTC
Gitlab gnutls/gnutls/merge_requests/1006 None None None 2019-05-22 11:38:32 UTC
Red Hat Product Errata RHSA-2019:3600 None None None 2019-11-05 22:26:28 UTC

Description Hubert Kario 2019-01-18 13:11:41 UTC
Description of problem:
The implementation of record_size_limit extension in GnuTLS is not RFC 8449 compliant, with multiple issues present

Version-Release number of selected component (if applicable):
gnutls-3.6.5-2.el8.x86_64

How reproducible:
always

Steps to Reproduce:
1. run tlsfuzzer test-record-size-limit.py

Actual results:
          'change size in TLS 1.2 resumption'
          'change size in TLS 1.3 session resumption'
          'check if server accepts maximum size in TLS 1.0'
          'check if server accepts maximum size in TLS 1.3'
          'check if server accepts minimal size in TLS 1.0'
          'check if server accepts minimal size in TLS 1.1'
          'check if server accepts minimal size in TLS 1.2'
          'check if server accepts minimal size in TLS 1.3'
          'check interaction with sha256 prf'
          'check interaction with sha384 prf'
          'check server sent size in TLS 1.0'
          'check server sent size in TLS 1.3'
          'drop extension in TLS 1.3 session resumption'
          'HRR sanity'
          'modified extension in 2nd CH in HRR handshake'
          'padded extension in TLS 1.2'
          'padded extension in TLS 1.3'
          'renegotiation with changed limit'
          'renegotiation with dropped extension'
          'too large record in TLS 1.2'
          'too large record payload in TLS 1.3'
tests fail

Expected results:
no test fail

Additional info:

Comment 8 Simo Sorce 2019-02-25 15:50:09 UTC
Hubert,
should we still consider this a blocker ?
It seem like it will affect only a specific and restricted scenario and could be easily fixed after GA.

Comment 11 Anderson Sasaki 2019-03-13 16:24:39 UTC
Upstream fix:
https://gitlab.com/gnutls/gnutls/merge_requests/879

Comment 12 Anderson Sasaki 2019-03-13 16:34:31 UTC
This issue was set to high priority because it impacts the core functionality of the component for a small amount of users.

Comment 21 errata-xmlrpc 2019-11-05 22:26:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3600


Note You need to log in before you can comment on or make changes to this bug.